# H245_TransportCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_TransportCapability:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandard, e_qOSCapabilities, e_mediaChannelCapabilities }

## Public Member Functions

| H245_TransportCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_NonStandardParameter | m_nonStandard
H245_ArrayOf_QOSCapability | m_qOSCapabilities
H245_ArrayOf_MediaChannelCapability | m_mediaChannelCapabilities

## Member Enumeration Documentation

enum H245_TransportCapability::OptionalFields

Enumerator:

  e_nonStandard |
  e_qOSCapabilities |
  e_mediaChannelCapabilities |

## Constructor & Destructor Documentation

H245_TransportCapability::H245_TransportCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_TransportCapability::GetDataLength | ( |  | ) | const

PBoolean H245_TransportCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_TransportCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_TransportCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_TransportCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_TransportCapability::Clone | ( |  | ) | const

## Member Data Documentation

H245_NonStandardParameter H245_TransportCapability::m_nonStandard

H245_ArrayOf_QOSCapability H245_TransportCapability::m_qOSCapabilities

H245_ArrayOf_MediaChannelCapability H245_TransportCapability::m_mediaChannelCapabilities

The documentation for this class was generated from the following file:

- h245.h